FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Namespaces | Functions
selection_style.cpp File Reference

Go to the source code of this file.

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions
Element | selectionStyleReset (Element child)
| Reset the selection style of an element.
Decorator | selectionBackgroundColor (Color foreground)
| Set the background color of an element when selected. Note that the style is applied on top of the existing style.
Decorator | selectionForegroundColor (Color foreground)
| Set the foreground color of an element when selected. Note that the style is applied on top of the existing style.
Decorator | selectionColor (Color foreground)
| Set the color of an element when selected.
Decorator | selectionStyle (std::function< void(Pixel &)> style)
| Set the style of an element when selected.

## Variable Documentation

## ◆ style_

std::function<void(Pixel&)> style_

Definition at line 47 of file selection_style.cpp.